Bug 166200 - Review Request: perl-IO-CaptureOutput : Capture STDOUT/STDERR from subprocesses and XS/C modules
Review Request: perl-IO-CaptureOutput : Capture STDOUT/STDERR from subprocess...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Grau
David Lawrence
http://search.cpan.org/dist/IO-Captur...
:
Depends On:
Blocks: FE-ACCEPT 166203
  Show dependency treegraph
 
Reported: 2005-08-17 16:47 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-18 00:21:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2005-08-17 16:47:53 EDT
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-IO-CaptureOutput.spec

SRPM Name or Url:
http://www.auroralinux.org/people/spot/review/Maypole/perl-IO-CaptureOutput-1.03-2.src.rpm

Description: 

Capture STDOUT/STDERR from subprocesses and XS/C modules

(NOTE: This package is one of the Maypole dependencies)
Comment 1 Chris Grau 2005-08-17 20:28:24 EDT
Review:

- rpmlint clean
- package name okay
- spec file name okay
- package meets PackagingGuidelines
- license okay
- license matches upstream
- spec file in am. english (and legible)
- source matches upstream
- package builds on FC-4
- no locales
- no shared libs
- not relocatable
- owns all created directories
- no duplicate %files
- file permissions okay
- %clean okay
- consistent use of macros
- code, not content
- no -docs package
- no -devel package

Needswork:

Testing resulted in this output:

> t/capture.........ok
> 3/13 skipped: Inline->bind failed : This innvocation of Inline requires the
Parse::RecDescent module.
> t/capture_exec....ok
> t/pod.............skipped
> all skipped: Test::Pod 1.00 required for testing POD
> t/pod_coverage....skipped
> all skipped: Test::Pod::Coverage 1.00 required for testing pod coverage

I see that perl(Inline) is a BR for testing, but the named modules should also
be added to the BRs for complete test coverage.

Nitpicks:

- BuildRequires: perl >= 1:5.6.1
- make called without %{_smp_mflags}
Comment 3 Chris Grau 2005-08-17 23:52:04 EDT
Still needs BR: perl(Test::Pod) for full test coverage.  Add that and I'll
approve it.
Comment 4 Tom "spot" Callaway 2005-08-17 23:57:26 EDT
Doh. I thought T::P::C would drag it in. I was wrong. Fixed in -4.

New SRPM:
http://www.auroralinux.org/people/spot/review/Maypole/perl-IO-CaptureOutput-1.03-4.src.rpm

New SPEC:
http://www.auroralinux.org/people/spot/review/Maypole/perl-IO-CaptureOutput.spec
Comment 5 Chris Grau 2005-08-18 00:03:36 EDT
Okay, it's approved.

Note You need to log in before you can comment on or make changes to this bug.